Get deployment procedure execution

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedureInstances/{deploymentProcedureInstanceId}/executions/{executionId}

Get deployment procedure execution.

Request

Path Parameters
Query Parameters
  • if include=runtimeData, information about runtime data is included in the response

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Execution returned successfully
Body ()
Root Schema : Execution
Type: object
It represents an execution
Match All
It represents an execution
Show Source
Nested Schema : ExecutionDetails
Type: object
It represents an execution.
Show Source
Nested Schema : runtimeData
Type: object
Execution run time data
Match All
Execution run time data
Show Source
Nested Schema : InstanceData
Type: object
This is the representation of instance submission data.
Match All
This is the representation of instance submission data.
This is the representation of instance submission data.
Show Source
Nested Schema : DeploymentProcedureTargetList
Type: array
Defining list of procedure targets
Show Source
Nested Schema : DeploymentProcedureVariableCollection
Type: object
Collections of Procedure Variable
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : DeploymentProcedureTargetCollection
Type: object
Collections of Procedure Target
Show Source
Nested Schema : items
Type: array
The list of targets
Show Source
Nested Schema : DeploymentProcedureTargetSummary
Type: object
This is the representation of Procedure Target
Match All
This is the representation of Procedure Target
Show Source
Nested Schema : DeploymentProcedureTargetDetails
Type: object
Defining Target for Deployment Procedure
Show Source
Nested Schema : CredentialReference
Type: array
This is the representation of credential references.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: array
The list of procedure variables
Show Source
Nested Schema : DeploymentProcedureVariableSummary
Type: object
This is the representation of Procedure Variable
Match All
This is the representation of Procedure Variable
Show Source
Nested Schema : DeploymentProcedureVariableDetails
Type: object
Defining Variable for Deployment Procedure
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top